Summary: A large set of basic network services programs
Name: NetKit
Version: 0.09
Release: 2
Copyright: distributable
Group: Networking
Source: ftp://ftp.uk.linux.org/pub/linux/Networking/base/NetKit-0.09.tar.gz
Source1: inet.init
Requires: pamconfig
Requires: tcp_wrappers
Patch: NetKit-0.09-rhfix.patch
Patch1: NetKit-0.09-talkd.patch
BuildRoot: /tmp/netkit

%description
NetKit provides the clients and servers for many standard Unix
network services.  Network logins and talk (among others)
are provided here. Alot of what was previously provided in NetKit-B
is no longer available as a part of this distribution (eg. portmap,
ftpd, and arp).


%prep
%setup
%patch -P 0 -p1
%patch1 -p0

rm -rf $RPM_BUILD_ROOT

%build
make clean
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

make "PREFIX=$RPM_BUILD_ROOT" install

mkdir -p $RPM_BUILD_ROOT/var/spool/rwho
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc1.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc2.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc5.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc6.d

install -m755 $RPM_SOURCE_DIR/inet.init $RPM_BUILD_ROOT/etc/rc.d/init.d/inet
ln -sf ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K50inet
ln -sf ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K50inet
ln -sf ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S50inet
ln -sf ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S50inet
ln -sf ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S50inet
ln -sf ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K50inet

%post
/sbin/pamconfig --add --service=rexec --authlist='required /lib/security/pam_securetty.so "" required /lib/security/pam_unix_auth.so ""' --password=none --sesslist=none
/sbin/pamconfig --add --service=rlogin --authlist='required /lib/security/pam_securetty.so "" sufficient /lib/security/pam_rhosts_auth.so "" required /lib/security/pam_unix_auth.so ""'
/sbin/pamconfig --add --service=rsh --authlist='required /lib/security/pam_securetty.so "" required /lib/security/pam_rhosts_auth.so ""' --password=none

%postun
if [ "$1" = 0 ] ; then
  /sbin/pamconfig --remove --service=rexec --authlist='required /lib/security/pam_securetty.so "" required /lib/security/pam_unix_auth.so ""' --password=none --sesslist=none
  /sbin/pamconfig --remove --service=rlogin --authlist='required /lib/security/pam_securetty.so "" sufficient /lib/security/pam_rhosts_auth.so "" required /lib/security/pam_unix_auth.so ""'
  /sbin/pamconfig --remove --service=rsh --authlist='required /lib/security/pam_securetty.so "" required /lib/security/pam_rhosts_auth.so ""' --password=none
fi

%clean

rm -rf $RPM_BUILD_ROOT

%files
%doc BUGS BUGS-florian BUGS.fixed-0.6 ChangeLog README* TROUBLESHOOT
/usr/bin/biff
/usr/bin/finger
/usr/bin/ftp
/usr/bin/pftp
/usr/bin/rcp
/usr/bin/rlogin
/usr/bin/rpcgen
/usr/bin/callbootd
/usr/bin/rpcinfo
/usr/bin/rsh
/usr/bin/rusers
/usr/bin/rwall
/usr/bin/rwho
/usr/bin/talk
/usr/bin/telnet
/usr/bin/tftp
/usr/sbin/in.comsat
/usr/sbin/in.fingerd
/usr/sbin/inetd
/usr/sbin/in.rexecd
/usr/sbin/in.rlogind
/usr/sbin/rpc.rusersd
/usr/sbin/rpc.rwalld
/usr/sbin/rpc.bootparamd
/usr/sbin/routed
/usr/sbin/ripquery
/usr/sbin/in.rshd
/usr/sbin/rwhod
/usr/sbin/in.ntalkd
/usr/sbin/in.talkd
/usr/sbin/in.telnetd
/usr/sbin/in.tftpd
/usr/sbin/timed
/usr/sbin/timedc
/usr/man/man1/biff.1
/usr/man/man1/finger.1
/usr/man/man1/ftp.1
/usr/man/man1/pftp.1
/usr/man/man1/rcp.1
/usr/man/man1/rlogin.1
/usr/man/man1/rpcgen.1
/usr/man/man1/rsh.1
/usr/man/man1/rusers.1
/usr/man/man1/rwall.1
/usr/man/man1/rwho.1
/usr/man/man1/talk.1
/usr/man/man1/telnet.1
/usr/man/man1/tftp.1
/usr/man/man5/issue.net.5
/usr/man/man8/in.comsat.8
/usr/man/man8/comsat.8
/usr/man/man8/in.fingerd.8
/usr/man/man8/fingerd.8
/usr/man/man8/inetd.8
/usr/man/man8/ping.8
/usr/man/man8/in.rexecd.8
/usr/man/man8/rexecd.8
/usr/man/man8/in.rlogind.8
/usr/man/man8/rlogind.8
/usr/man/man8/rpc.rusersd.8
/usr/man/man8/rusersd.8
/usr/man/man8/rpc.rwalld.8
/usr/man/man8/rwalld.8
/usr/man/man8/rpc.bootparamd.8
/usr/man/man8/bootparamd.8
/usr/man/man8/rpcinfo.8
/usr/man/man8/routed.8
/usr/man/man8/in.rshd.8
/usr/man/man8/rshd.8
/usr/man/man8/rwhod.8
/usr/man/man8/in.ntalkd.8
/usr/man/man8/in.talkd.8
/usr/man/man8/ntalkd.8
/usr/man/man8/talkd.8
/usr/man/man8/in.telnetd.8
/usr/man/man8/telnetd.8
/usr/man/man8/in.tftpd.8
/usr/man/man8/tftpd.8
/usr/man/man8/timed.8
/usr/man/man8/timedc.8
%dir /var/spool/rwho
%config /etc/rc.d/init.d/inet
%config /etc/rc.d/rc0.d/K50inet
%config /etc/rc.d/rc1.d/K50inet
%config /etc/rc.d/rc2.d/S50inet
%config /etc/rc.d/rc3.d/S50inet
%config /etc/rc.d/rc5.d/S50inet
%config /etc/rc.d/rc6.d/K50inet

# Local variables:
# compile-command: "rpm -ba --short-circuit NetKit-0.09.spec"
# End:
